issues upgrading from 18.04.05 LTS to 20.04.02

Bug #1926876 reported by Luca Magnaguagno on 2021-05-02

This bug report will be marked for expiration in 58 days if no further activity occurs. (find out why)

8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
ubuntu-release-upgrader (Ubuntu)
Undecided
Unassigned

Bug Description

$ cat /var/log/dist-upgrade/apt.log | grep Holding
  Holding Back libpython2-stdlib:amd64 rather than change libpython-stdlib:amd64
  Holding Back python2-minimal:amd64 rather than change python-minimal:amd64
  Holding Back python2:amd64 rather than change python2-minimal:amd64
  Holding Back python-gi:amd64 rather than change python2:amd64
  Holding Back python-six:amd64 rather than change python2:any:any
  Holding Back python-gobject-2:amd64 rather than change python2:amd64
  Holding Back python-pkg-resources:amd64 rather than change python2:any:any
  Holding Back python-dbus:amd64 rather than change python2:amd64
  Holding Back python-cairo:amd64 rather than change python2:amd64
  Holding Back python-cryptography:amd64 rather than change python2:amd64
  Holding Back python-ipaddress:amd64 rather than change python2:any:any
  Holding Back python-enum34:amd64 rather than change python2:any:any
  Holding Back python-pyasn1:amd64 rather than change python2:any:any
  Holding Back python-xdg:amd64 rather than change python2:any:any
  Holding Back python-html5lib:amd64 rather than change python2:any:any
  Holding Back python-chardet:amd64 rather than change python2:any:any
  Holding Back python-openssl:amd64 rather than change python-cryptography:amd64
  Holding Back python-idna:amd64 rather than change python2:any:any
  Holding Back python-lxml:amd64 rather than change python2:amd64
  Holding Back python-bs4:amd64 rather than change python2:any:any
  Holding Back python-httplib2:amd64 rather than change python2:any:any
  Holding Back python-attr:amd64 rather than change python2:any:any
  Holding Back python-webencodings:amd64 rather than change python2:any:any
  Holding Back python-olefile:amd64 rather than change python2:any:any
  Holding Back python-zope.interface:amd64 rather than change python2:amd64
  Holding Back python-crypto:amd64 rather than change python2:amd64
  Holding Back python-pil:amd64 rather than change python2:amd64
  Holding Back python-gobject:amd64 rather than change python-gi:amd64
  Holding Back python-blinker:amd64 rather than change python2:any:any
  Holding Back python-hyperlink:amd64 rather than change python2:any:any
  Holding Back python-pam:amd64 rather than change python2:amd64
  Holding Back python-constantly:amd64 rather than change python2:any:any
  Holding Back python-automat:amd64 rather than change python2:any:any
  Holding Back python-debian:amd64 rather than change python2:any:any
  Holding Back python-pyasn1-modules:amd64 rather than change python2:any:any
  Holding Back python-service-identity:amd64 rather than change python2:any:any
  Holding Back libfaudio0:i386 rather than change libavcodec58:i386
  Holding Back python-gi-cairo:amd64 rather than change python-gi:amd64
  Holding Back python-monotonic:amd64 rather than change python2:any:any
  Holding Back python-entrypoints:amd64 rather than change python2:any:any
  Holding Back python-xapian:amd64 rather than change python2:amd64
  Holding Back python-setuptools:amd64 rather than change python-pkg-resources:amd64
  Holding Back python-gdbm:amd64 rather than change python2:amd64
  Holding Back python-soupsieve:amd64 rather than change python2:any:any
  Holding Back python-libxml2:amd64 rather than change python2:amd64
  Holding Back python-ptyprocess:amd64 rather than change python2:any:any
  Holding Back python-keyring:amd64 rather than change python-entrypoints:amd64
  Holding Back python-numpy:amd64 rather than change python2:amd64
  Holding Back python-dateutil:amd64 rather than change python2:any:any
  Holding Back python-wxversion:amd64 rather than change python2:any:any
  Holding Back python-cffi-backend:amd64 rather than change python2:amd64
  Holding Back python-backports.functools-lru-cache:amd64 rather than change python2:any:any
  Holding Back python-asn1crypto:amd64 rather than change python2:any:any
  Holding Back python-dnspython:amd64 rather than change python2:any:any
  Holding Back python-yaml:amd64 rather than change python2:amd64
  Holding Back python-tk:amd64 rather than change python2:amd64
  Holding Back python-tz:amd64 rather than change python2:any:any
  Holding Back python-sip:amd64 rather than change python2:amd64
  Holding Back python-configparser:amd64 rather than change python2:any:any
  Holding Back python-pexpect:amd64 rather than change python2:any:any
  Holding Back python-wxgtk3.0:amd64 rather than change python2:amd64
  Holding Back python-lockfile:amd64 rather than change python2:any:any
  Holding Back python-pycurl:amd64 rather than change python2:amd64
  Holding Back python-gi:amd64 rather than change python2:amd64
  Holding Back python-httplib2:amd64 rather than change python2:any:any
  Holding Back python-gi:amd64 rather than change python2:amd64
  Holding Back python-httplib2:amd64 rather than change python2:any:any
  Holding Back python-gi:amd64 rather than change python2:amd64
  Holding Back python-httplib2:amd64 rather than change python2:any:any
  Holding Back python-gi:amd64 rather than change python2:amd64
  Holding Back python-httplib2:amd64 rather than change python2:any:any
  Holding Back python-gi:amd64 rather than change python2:amd64
  Holding Back python-httplib2:amd64 rather than change python2:any:any
  Holding Back python-gi:amd64 rather than change python2:amd64
  Holding Back python-httplib2:amd64 rather than change python2:any:any
  Holding Back python-gi:amd64 rather than change python2:amd64
  Holding Back python-httplib2:amd64 rather than change python2:any:any
  Holding Back python-gi:amd64 rather than change python2:amd64
  Holding Back python-httplib2:amd64 rather than change python2:any:any

ProblemType: Bug
DistroRelease: Ubuntu 18.04
Package: ubuntu-release-upgrader-core 1:18.04.44
ProcVersionSignature: Ubuntu 4.15.0-139.143-generic 4.15.18
Uname: Linux 4.15.0-139-generic x86_64
NonfreeKernelModules: lkp_Ubuntu_4_15_0_139_143_generic_76 nvidia_modeset nvidia
ApportVersion: 2.20.9-0ubuntu7.23
Architecture: amd64
CrashDB: ubuntu
CurrentDesktop: ubuntu:GNOME
Date: Sun May 2 11:58:13 2021
InstallationDate: Installed on 2014-08-08 (2458 days ago)
InstallationMedia: Ubuntu 14.04.1 LTS "Trusty Tahr" - Release amd64 (20140722.2)
PackageArchitecture: all
SourcePackage: ubuntu-release-upgrader
UpgradeStatus: Upgraded to bionic on 2021-05-02 (0 days ago)
VarLogDistupgradeTermlog:

Luca Magnaguagno (magnaguagno) wrote :
Brian Murray (brian-murray) wrote :

Thanks for taking the time to report this upgrade failure. There is currently a new version of the release upgrader available in -proposed which may resolve the error you've encountered. Please run the following command to test the new version of the upgrader:

  do-release-upgrade -p

Please lets us know the results in this bug report. Thanks again and good luck!

Changed in ubuntu-release-upgrader (Ubuntu):
status: New → Incomplete
tags: added: lp-1928397
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers